# abstract_repository_singleton library Null safety

## Classes

AbstractRepositorySingleton

## Functions

bookletRepository({String? appId}) → BookletRepository?
decoratedContentRepository({String? appId}) → DecoratedContentRepository?
dividerRepository({String? appId}) → DividerRepository?
documentRepository({String? appId}) → DocumentRepository?
dynamicWidgetRepository({String? appId}) → DynamicWidgetRepository?
faderRepository({String? appId}) → FaderRepository?
gridRepository({String? appId}) → GridRepository?
presentationRepository({String? appId}) → PresentationRepository?
simpleImageRepository({String? appId}) → SimpleImageRepository?
simpleTextRepository({String? appId}) → SimpleTextRepository?
tutorialRepository({String? appId}) → TutorialRepository?